> ## Documentation Index
> Fetch the complete documentation index at: https://docs.worthai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Business Custom Fields

> Retrieves custom fields associated with a specified business ID. Custom fields must be enabled to utilize this endpoint. To confirm if you have custom fields enabled, please reach out to your Customer Success representative.



## OpenAPI

````yaml get /businesses/{businessID}/custom-fields{?pagination}{?page}{?itemsPerPage}
openapi: 3.1.0
info:
  title: Case Service
  description: >-
    This service handles the cases for business and also the subscriptions taken
    by business.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.joinworth.com/case/api/v1
    variables: {}
security:
  - bearer: []
tags:
  - name: Subscriptions
  - name: Invites
  - name: Customer Bulk Functions
  - name: NAICS AND MCC
  - name: Businesses
  - name: Cases
  - name: Core
  - name: Risk Alerts
  - name: Dashboard
  - name: Onboarding
  - name: White Label
  - name: Customer
  - name: Co-Applicants
  - name: Applicants
  - name: Misc
    description: ''
paths:
  /businesses/{businessID}/custom-fields{?pagination}{?page}{?itemsPerPage}:
    parameters:
      - name: businessID
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
          examples:
            - f17295d4-5237-4079-8b18-8786eddf49f3
    get:
      tags:
        - Businesses
      summary: Get Business Custom Fields
      description: >-
        Retrieves custom fields associated with a specified business ID. Custom
        fields must be enabled to utilize this endpoint. To confirm if you have
        custom fields enabled, please reach out to your Customer Success
        representative.
      operationId: GetBusinessCustomFields
      parameters:
        - name: pagination
          in: query
          description: Boolean indicating whether results should be paginated or not.
          required: false
          style: form
          schema:
            type: boolean
            default: true
            examples:
              - true
              - false
        - name: page
          in: query
          description: Integer value of which page to retrieve.
          required: false
          style: form
          schema:
            type: integer
            minimum: 1
            default: 1
            examples:
              - 1
              - 2
              - 3
        - name: itemsPerPage
          in: query
          description: Integer value for how many results should be included per page.
          required: false
          style: form
          schema:
            type: integer
            minimum: 1
            default: 20
            examples:
              - 1
              - 5
              - 10
              - 20
              - 25
              - 50
              - 999
      responses:
        '200':
          description: OK
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: Tue, 13 Feb 2024 11:51:12 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: '856'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: keep-alive
            Content-Security-Policy:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: >-
                    default-src 'self';base-uri 'self';font-src 'self' https:
                    data:;form-action 'self';frame-ancestors 'self';img-src
                    'self' data:;object-src 'none';script-src
                    'self';script-src-attr 'none';style-src 'self' https:
                    'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: same-origin
            Cross-Origin-Resource-Policy:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: same-origin
            Origin-Agent-Cluster:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: '?1'
            Referrer-Policy:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: no-referrer
            Strict-Transport-Security:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: nosniff
            X-DNS-Prefetch-Control:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: 'off'
            X-Download-Options:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: noopen
            X-Frame-Options:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: none
            X-XSS-Protection:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: '0'
            Vary:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: Origin
            Access-Control-Allow-Credentials:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: 'true'
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                    contentMediaType: text/plain
                  example: W/"358-MSkc4gHsZtLIhtA63oyAvGS+PNk"
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/GETCFSuccess'
                  - examples:
                      - status: success
                        message: Detailed custom fields fetched successfully.
                        data:
                          records:
                            - label: Type of Equipment
                              field_id: type_of_equipment
                              step_name: Payment Equipment
                              sequence_number: 1
                              value:
                                - label: Terminal
                                  value: Terminal
                                  checkbox_type: ''
                                  checked: true
                                - label: Pin Pad
                                  value: Pin Pad
                                  checkbox_type: ''
                                  checked: false
                              data_type: Checkbox
                              applicant_access: HIDDEN
                              customer_access: DEFAULT
                              is_sensitive: false
                              rules:
                                type: object
                                required:
                                  - type_of_equipment
                                properties:
                                  type_of_equipment: {}
                            - label: Manufacturer
                              field_id: manufacturer
                              step_name: Payment Equipment
                              sequence_number: 2
                              value: Computron Payment Hardware Corp
                              data_type: Text
                              applicant_access: HIDDEN
                              customer_access: DEFAULT
                              is_sensitive: false
                              rules:
                                type: object
                                required:
                                  - manufacturer
                                properties:
                                  manufacturer: {}
                            - label: Model Version
                              field_id: model_version
                              step_name: Payment Equipment
                              sequence_number: 3
                              value: 4.0.1
                              data_type: Text
                              applicant_access: HIDDEN
                              customer_access: DEFAULT
                              is_sensitive: false
                              rules:
                                type: object
                                required:
                                  - model_version
                                properties:
                                  model_version: {}
                            - label: Quantity
                              field_id: quantity
                              step_name: Payment Equipment
                              sequence_number: 4
                              value: 6
                              data_type: Integer
                              applicant_access: HIDDEN
                              customer_access: DEFAULT
                              is_sensitive: false
                              rules:
                                type: object
                                required:
                                  - quantity
                                properties:
                                  quantity: {}
                            - label: Deployment
                              field_id: deployment
                              step_name: Payment Equipment
                              sequence_number: 5
                              value:
                                - label: New Order
                                  value: New Order
                                  checkbox_type: ''
                                  checked: true
                              data_type: Checkbox
                              applicant_access: HIDDEN
                              customer_access: DEFAULT
                              is_sensitive: false
                              rules:
                                type: object
                                properties:
                                  deployment: {}
                          total_pages: 1
                          total_items: 5
                contentMediaType: application/json; charset=utf-8
              example:
                status: success
                message: Detailed custom fields fetched successfully.
                data:
                  records:
                    - label: Type of Equipment
                      field_id: type_of_equipment
                      step_name: Payment Equipment
                      sequence_number: 1
                      value:
                        - label: Terminal
                          value: Terminal
                          checkbox_type: ''
                          checked: true
                        - label: Pin Pad
                          value: Pin Pad
                          checkbox_type: ''
                          checked: false
                      data_type: Checkbox
                      applicant_access: HIDDEN
                      customer_access: DEFAULT
                      is_sensitive: false
                      rules:
                        type: object
                        required:
                          - type_of_equipment
                        properties:
                          type_of_equipment: {}
                    - label: Manufacturer
                      field_id: manufacturer
                      step_name: Payment Equipment
                      sequence_number: 2
                      value: Computron Payment Hardware Corp
                      data_type: Text
                      applicant_access: HIDDEN
                      customer_access: DEFAULT
                      is_sensitive: false
                      rules:
                        type: object
                        required:
                          - manufacturer
                        properties:
                          manufacturer: {}
                    - label: Model Version
                      field_id: model_version
                      step_name: Payment Equipment
                      sequence_number: 3
                      value: 4.0.1
                      data_type: Text
                      applicant_access: HIDDEN
                      customer_access: DEFAULT
                      is_sensitive: false
                      rules:
                        type: object
                        required:
                          - model_version
                        properties:
                          model_version: {}
                    - label: Quantity
                      field_id: quantity
                      step_name: Payment Equipment
                      sequence_number: 4
                      value: 6
                      data_type: Integer
                      applicant_access: HIDDEN
                      customer_access: DEFAULT
                      is_sensitive: false
                      rules:
                        type: object
                        required:
                          - quantity
                        properties:
                          quantity: {}
                    - label: Deployment
                      field_id: deployment
                      step_name: Payment Equipment
                      sequence_number: 5
                      value:
                        - label: New Order
                          value: New Order
                          checkbox_type: ''
                          checked: true
                      data_type: Checkbox
                      applicant_access: HIDDEN
                      customer_access: DEFAULT
                      is_sensitive: false
                      rules:
                        type: object
                        properties:
                          deployment: {}
                  total_pages: 1
                  total_items: 5
      deprecated: false
      servers:
        - url: https://api.joinworth.com/case/api/v1
          variables: {}
components:
  schemas:
    GETCFSuccess:
      title: GetCustomFieldSuccess
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/GETCFRecords'
          type: object
    GETCFRecords:
      title: GETCustomFieldsRecords
      type: object
      properties:
        records:
          'type:': array
          items:
            $ref: '#/components/schemas/GETCFData'
    GETCFData:
      title: GETCustomFieldsDataObject
      type: object
      properties:
        label:
          type: string
        field_id:
          type: string
        step_name:
          type: string
        sequence_number:
          type: integer
          contentEncoding: int32
        value:
          oneOf:
            - $ref: '#/components/schemas/GETCFCheckboxObject'
              title: JSON Checkbox
              type: object
            - $ref: '#/components/schemas/GETCFDropdownObject'
              title: JSON Dropdown
              type: object
            - title: Numeric Value
              type: number
            - title: Text Value
              type: string
            - type: 'null'
        data_type:
          type: string
        applicant_access:
          type: string
        customer_access:
          type: string
        is_sensitive:
          type: boolean
        rules:
          $ref: '#/components/schemas/GETCFRulesObj'
    GETCFCheckboxObject:
      type: object
      properties:
        label:
          type: string
        value:
          type: string
        checkbox_type:
          type: string
        checked:
          type: boolean
    GETCFDropdownObject:
      type: object
      properties:
        label:
          type: string
        value:
          type: string
    GETCFRulesObj:
      title: GetCustomFieldsRulesObject
      type: object
      properties:
        type:
          type: string
        required:
          type: array
          items:
            type: string
        properties:
          type: object
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````